#ifndef _WSOCXPROPPAGE_H_


// kinda need these
//
#include "PropPage.H"
#include "Resource.H"
#include "Guids.H"

class WSDocxGeneralPage : public CPropertyPage {

  public:
    static IUnknown *Create(IUnknown *pUnkOuter);

    // constructor and destructor
    //
    WSDocxGeneralPage(IUnknown *pUnkOuter);
    virtual ~WSDocxGeneralPage();

  private:
    virtual BOOL DialogProc(HWND, UINT, WPARAM, LPARAM);

};

DEFINE_PROPERTYPAGEOBJECT(WSocxGeneral,
    &CLSID_WSocxGeneralPage,
    "WSocx General Propery Page",
    WSDocxGeneralPage::Create,
    IDD_PROPPAGE_WSOCXGENERAL,
    IDS_WSOCX_GENERALPAGETITLE,
    IDS_WSOCX_GENERALDOCSTRING,
    "vb.hlp",
    0);

#define _WSOCXPROPPAGE_H_
#endif // _WSOCXPROPPAGE_H_
